***Core model. Table 1. 
****Table 1
quietly nbreg fatalities eigenfilled  if active ==1, robust
eststo a1

***controls for organization attributes
quietly nbreg fatalities allindegree eigenfilled suicide orgage ordsize terrstrong religious nationalistseparatist if active ==1, robust
eststo a3

***controls for organizational and environmental (country) attributes
quietly nbreg fatalities allindegree eigenfilled suicide polity2 gdppercap civillib pressfree orgage ordsize terrstrong religious nationalistseparatist israel iraq lebanon if active ==1 & fatalities>=1 & incidents !=0, robust
eststo a4

***same thing with fatalities per attack
quietly nbreg fatPER eigenfilled  if active ==1, robust
eststo b1

quietly nbreg fatPER allindegree eigenfilled suicide orgage ordsize terrstrong religious nationalistseparatist if active ==1, robust
eststo b3

quietly nbreg fatPER allindegree eigenfilled suicide polity2 gdppercap civillib pressfree orgage ordsize terrstrong religious nationalistseparatist israel iraq lebanon if active ==1 & fatalities>=1 & incidents !=0, robust
eststo b4

****Robustness

**** Without AQ
quietly nbreg fatalities eigenfilled allindegree suicide polity2 gdppercap civillib pressfree orgage ordsize terrstrong religious nationalistseparatist israel iraq lebanon if group!="al-Qaeda" & active ==1, robust
eststo c1
quietly nbreg fatPER eigenfilled allindegree suicide polity2 gdppercap civillib pressfree orgage ordsize terrstrong religious nationalistseparatist israel iraq lebanon if group!="al-Qaeda" & active ==1, robust
eststo c2

***LOGS
gen lnFATS = ln(fatalities+1)
gen lnFATPER = ln(fatPER+1)

quietly nbreg lnFATS allindegree eigenfilled suicide polity2 gdppercap civillib pressfree orgage ordsize terrstrong religious nationalistseparatist israel iraq lebanon if active ==1, robust
eststo d1

quietly nbreg lnFATPER eigenfilled allindegree suicide polity2 gdppercap civillib pressfree orgage ordsize terrstrong religious nationalistseparatist israel iraq lebanon if active ==1, robust
eststo d2

*****ols
quietly reg fatalities allindegree eigenfilled suicide polity2 gdppercap civillib pressfree orgage ordsize terrstrong religious nationalistseparatist israel iraq lebanon if active ==1, robust
eststo f1
quietly reg fatPER allindegree eigenfilled suicide polity2 gdppercap civillib pressfree orgage ordsize terrstrong religious nationalistseparatist israel iraq lebanon if active ==1, robust
eststo f2

***Tables
esttab a1 a3 a4 b1 b3 b4, cells(b(star fmt(%9.3f)) se(par)) stats(r2_a N, fmt(%9.3f %9.0g) labels(R-squared)) legend label collabels(none) varlabels(_cons Constant) star(* 0.10 ** 0.05 *** 0.01) csv, using "Table 1", replace

esttab c1 c2 d1 d2 f1 f2, cells(b(star fmt(%9.3f)) se(par)) stats(r2_a N, fmt(%9.3f %9.0g) labels(R-squared)) legend label collabels(none) varlabels(_cons Constant) star(* 0.10 ** 0.05 *** 0.01) csv, using "Table 2", replace

sum fatalities fatPER allindegree eigenfilled suicide polity2 orgage ordsize terrstrong religious nationalistseparatist israel iraq lebanon

nbvargr fatalities if active ==1
nbvargr fatPER if active ==1

***Outliers
***Scatter

nbreg fatalities allindegree eigenfilled suicide polity2 orgage ordsize terrstrong religious nationalistseparatist israel iraq lebanon if active ==1, robust
predict phat if e(sample)
*/ simple predicted v actual */
twoway scatter fatalities phat
gen no=0
replace no=. if phat==.
tabstat fatalities if no==0, stats(p50 p90 mean sd)
tabstat phat if no==0, stats(p50 p90 mean sd)
gen pred_dif = abs((phat-fatalities)/fatalities)
sum pred_dif
list group fatalities phat if pred_dif>8.13391 & pred_dif<160
gen pred_dift3=pred_dif
gen pred_dif2=.
replace pred_dif2=pred_dif if pred_dif>8.13391
replace pred_dif=. if pred_dif>8.13391
*/ proof this worked is that the next list command looks like the one in line 10 */
list group fatalities phat if pred_dif2>8.13391 & pred_dif2<160
*/ Labels the groups we don't do so hot on - which is fine if we can tell a story */
twoway (scatter fatalities pred_dif, legend(off) mcolor(navy)) (scatter fatalities pred_dif2, mlabel(group) mlabsize(small) mlabcolor(navy) mlabangle(45) legend(off) mcolor(navy)), xtitle("Predicted Deviation From Fatalities") ytitle("Fatalities") xsca(titlegap(*10)) ysca(titlegap(*10))
*/ Labels the groups we don't do so hot on, but the plot is just predicted v. actual - the groups are the exact same as the previous chart */
twoway (scatter fatalities phat if pred_dift3<=8.13391, legend(off) mcolor(navy)) (scatter fatalities phat if pred_dift3>8.13391, mlabel(group) mlabsize(small) mlabcolor(navy) mlabangle(45) legend(off) mcolor(navy)), xtitle("Predicted Deviation From Fatalities") ytitle("Fatalities") xsca(titlegap(*10)) ysca(titlegap(*10))
*/ Labels just outliers on the predicted v. actual plot */
gen outliers=0
replace outliers=1 if group=="al-Qaeda"
replace outliers=1 if group=="Hezbollah"
gen fatalities2=fatalities+1
gen phat2=phat+1
twoway (scatter fatalities2 phat2 if outliers==0, legend(off) mcolor(navy)) (scatter fatalities2 phat2 if outliers==1, mlabel(group) mlabsize(small) mlabcolor(navy) mlabangle(45) legend(off) mcolor(navy)), xtitle("Predicted Deviation From Fatalities") ytitle("Fatalities") xsca(titlegap(*10)) ysca(titlegap(*10)) xscale(log) yscale(log) ylabel(0 0 5 10 20 50 300 1000 3500) ylabel(,nogrid) xlabel(0 0 5 10 20 50 300 1000 3500) ylabel(,nogrid) 

replace outliers=1 if group=="al-Fatah"
replace outliers=1 if group=="Hamas"
replace outliers=1 if group=="Islami Chhatra Shibir (ICS)"
replace outliers=1 if group=="Liberation Tigers of Tamil Eelam (LTTE)"
replace outliers=1 if group=="al-Qaeda Organization in the Land of the Two Rivers"
replace outliers=1 if group=="Taliban"
gen logfatal=log(fatalities2)
gen logphat2=log(phat2)

gen pos = 6
replace pos = 12 if group=="Hamas"
replace pos=2 if group=="Liberation Tigers of Tamil Eelam (LTTE)"
replace pos=12 if group=="al-Qaeda Organization in the Land of the Two Rivers"
replace group = "al-Qaeda in Iraq" if group=="al-Qaeda Organization in the Land of the Two Rivers"

twoway (scatter logfatal logphat2 if outliers==0, legend(off) mcolor(black)) (scatter logfatal logphat2 if outliers==1, mlabv(pos) mlabel(group) mlabsize(vsmall) mlabangle(32) mlabcolor(black) legend(off) mcolor(black)) (lfit logfatal logphat2, lcolor(gray)), xtitle("Log Predicted Fatalities") ytitle("Log Fatalities") xsca(titlegap(*10)) ysca(titlegap(*10)) graphregion(fcolor(white) lcolor(white) ilcolor(white)) plotregion(fcolor(white) lcolor(white) ilcolor(white))
